cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Neff (JIRA)" <>
Subject [jira] [Created] (CB-11640) Android build fails on Linux with JDK 7 -- needs JDK 8
Date Thu, 28 Jul 2016 20:57:20 GMT
Andrew Neff created CB-11640:

             Summary: Android build fails on Linux with JDK 7 -- needs JDK 8
                 Key: CB-11640
             Project: Apache Cordova
          Issue Type: Bug
          Components: Android
    Affects Versions: 6.3.0
         Environment: OS: Linux 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-2+deb8u3 (2016-07-02)
x86_64 GNU/Linux

Cordova: 6.3.0

Cordova Android: 5.2.1
            Reporter: Andrew Neff

Android platform documentation says JDK 7 or later.

In fact, the default/sample project build throws a java.lang.UnsupportedClassVersionError
in :transformClassesWithDexForDebug.

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/android/dx/command/Main
: Unsupported major.minor version 52.0

When I change to JDK 8, the problem goes away and everything seems OK. (I only tested this
with OpenJDK, but suspect it will be the same for Oracle Java.)

If you decide to fix this by changing the docs, be aware that the JDK download link you currently
provide offers only JDK 7 downloads.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message